package nft.info;

public class TradeInfo {
    String displayUrl;
    String coverUrl;
    String hash;
    String nftId;
    String name;
    String publishTime;
    String url;
    String dealTime;
    long dealCount;
    String fromAddr;
    String toAddr;
    int txType;

    public TradeInfo() {
    }

    public TradeInfo(String displayUrl, String coverUrl, String hash, String nftId, String name, String publishTime, String url, String dealTime, long dealCount, String fromAddr, String toAddr, int txType) {
        this.displayUrl = displayUrl;
        this.coverUrl = coverUrl;
        this.hash = hash;
        this.nftId = nftId;
        this.name = name;
        this.publishTime = publishTime;
        this.url = url;
        this.dealTime = dealTime;
        this.dealCount = dealCount;
        this.fromAddr = fromAddr;
        this.toAddr = toAddr;
        this.txType = txType;
    }

    @Override
    public String toString() {
        return "TradeInfo{" +
                "displayUrl='" + displayUrl + '\'' +
                ", coverUrl='" + coverUrl + '\'' +
                ", hash='" + hash + '\'' +
                ", nftId='" + nftId + '\'' +
                ", name='" + name + '\'' +
                ", publishTime='" + publishTime + '\'' +
                ", url='" + url + '\'' +
                ", dealTime='" + dealTime + '\'' +
                ", dealCount=" + dealCount +
                ", fromAddr='" + fromAddr + '\'' +
                ", toAddr='" + toAddr + '\'' +
                ", txType=" + txType +
                '}';
    }

    public String getDisplayUrl() {
        return displayUrl;
    }

    public void setDisplayUrl(String displayUrl) {
        this.displayUrl = displayUrl;
    }

    public String getCoverUrl() {
        return coverUrl;
    }

    public void setCoverUrl(String coverUrl) {
        this.coverUrl = coverUrl;
    }

    public String getHash() {
        return hash;
    }

    public void setHash(String hash) {
        this.hash = hash;
    }

    public String getNftId() {
        return nftId;
    }

    public void setNftId(String nftId) {
        this.nftId = nftId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPublishTime() {
        return publishTime;
    }

    public void setPublishTime(String publishTime) {
        this.publishTime = publishTime;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getDealTime() {
        return dealTime;
    }

    public void setDealTime(String dealTime) {
        this.dealTime = dealTime;
    }

    public long getDealCount() {
        return dealCount;
    }

    public void setDealCount(long dealCount) {
        this.dealCount = dealCount;
    }

    public String getFromAddr() {
        return fromAddr;
    }

    public void setFromAddr(String fromAddr) {
        this.fromAddr = fromAddr;
    }

    public String getToAddr() {
        return toAddr;
    }

    public void setToAddr(String toAddr) {
        this.toAddr = toAddr;
    }

    public int getTxType() {
        return txType;
    }

    public void setTxType(int txType) {
        this.txType = txType;
    }
}
